[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# fpFD_ZERO

Clear all file descriptors in set

## Declaration

Source position: bunxovlh.inc line 74

`function fpFD_ZERO(`
`out nset: TFDSet`
`):cint;`

## Description

FpFD_ZERO clears all the filedescriptors in the file descriptor set nset.

For an example, see FpSelect.

## Errors

None.

## See also

FpSelect |  | Wait for events on file descriptors
FpFD_Clr |  | Clears a filedescriptor in a set
FpFD_Set |  | Set a filedescriptor in a set
FpFD_IsSet |  | Check whether a filedescriptor is set

Documentation generated on: Feb 26 2014